<?php

  class mw_observer_sourceml extends mw_observer{

    function before_action(){
      $env = $this->env();
      $out_config = $env->get_out_config();
      $out_config["groupe_view_albums"] = array(
        "type" => "checkbox",
        "default" => 1,
        "text" => "Lister les albums sur la page d'un groupe"
      );
      $out_config["colonne_logo_groupe"] = array(
        "type" => "checkbox",
        "default" => 1,
        "text" => "Afficher le logo du groupe courant dans la colonne"
      );
      $out_config["albums_menu"] = array(
        "type" => "checkbox",
        "default" => 0,
        "text" => "Afficher les albums du groupe courant dans la colonne"
      );
      $out_config["nom_groupe"] = array(
        "type" => "checkbox",
        "default" => 0,
        "text" => "Afficher le nom du groupe courant dans la colonne"
      );
      $env->set_out_config($out_config);
    }

    function after_action(){
      $env = $this->env();
      if($env->etat("mod") == "users"){
        $env->add_js_file($env->path("web").$env->path("mw_path")."libs/tiny_mce/tiny_mce.js");
        $env->add_js_file($env->path("web").$env->path("mw_path")."libs/tiny_mce/plugins/tinybrowser/tb_tinymce.js.php");
      }
      if($env->etat("mod") == "sources"){
        $env->add_js_file($env->out_url("js/jquery-1.8.3.min.js"));
        $env->add_js_file($env->out_url("js/jquery.colorbox-min.js"));
        $env->add_js_file($env->out_url("js/jquery-ui-1.8.12.custom.min.js"));
        $env->add_css_file($env->out_url("css/colorbox.css"));
        $env->add_css_file($env->out_url("css/ui-lightness/jquery-ui-1.8.12.custom.css"));
        $env->add_js_file($env->out_url("js/jaudio-player.1.1.js"));
        $env->add_css_file($env->out_url("css/jaudio-player.1.1.css"));

      }
    }

  }

?>